MOVDD0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*MOVE DATA BYTES TO DATA */
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


RMVDD0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*REVERSE MOVE DATA BYTES TO DATA */
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


MOVXD0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*MOVE XDATA BYTES TO DATA */
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


MOVCD0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*MOVE ROM BYTES TO DATA */
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


MOVDX0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*MOVE DATA BYTES TO XDATA */
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;


MOVCX0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*MOVE ROM BYTES TO XDATA */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


MOVXX0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*MOVE XDATA BYTES TO XDATA */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


RMVXX0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*REVERSE MOVE XDATA BYTES TO XDATA */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


CMPDD0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*COMPARE BYTES IN DATA TO BYTES IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


CMPXD0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*COMPARE BYTES IN XDATA TO BYTES IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


CMPCD0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*COMPARE BYTES IN ROM TO BYTES IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


CMPCX0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*COMPARE BYTES IN ROM TO BYTES IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


CMPCC0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*COMPARE BYTES IN ROM TO BYTES IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


CMPXX0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*COMPARE BYTES IN XDATA TO BYTES IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


FNDBX0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*FIND target BYTE IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


FNDBC0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*FIND target BYTE IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


FNDBD0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*FIND target BYTE IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


SKPBX0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*SKIP target BYTE IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


SKPBC0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*SKIP target BYTE IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


SKPBD0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*SKIP target BYTE IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


SETBX0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*SET BYTE IN XDATA TO target VALUE */
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


SETBD0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*SET BYTE IN DATA TO target VALUE */
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


FNDWX0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*FIND target WORD IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


FNDWC0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*FIND target WORD IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


FNDWD0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*FIND target WORD IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;


SKPWX0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*SKIP target WORD IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


SKPWC0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*SKIP target WORD IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


SKPWD0: PROCEDURE (from,target,count) WORD EXTERNAL USING 0;
 /*SKIP target WORD IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;


SETWX0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*SET WORD IN XDATA TO target VALUE */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


SETWD0: PROCEDURE (from,target,count)  EXTERNAL USING 0;
 /*SET WORD IN DATA TO target VALUE */
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;



MOVDD1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*MOVE DATA BYTES TO DATA */
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


RMVDD1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*REVERSE MOVE DATA BYTES TO DATA */
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


MOVXD1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*MOVE XDATA BYTES TO DATA */
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


MOVCD1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*MOVE ROM BYTES TO DATA */
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


MOVDX1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*MOVE DATA BYTES TO XDATA */
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;


MOVCX1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*MOVE ROM BYTES TO XDATA */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


MOVXX1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*MOVE XDATA BYTES TO XDATA */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


RMVXX1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*REVERSE MOVE XDATA BYTES TO XDATA */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


CMPDD1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*COMPARE BYTES IN DATA TO BYTES IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


CMPXD1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*COMPARE BYTES IN XDATA TO BYTES IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


CMPCD1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*COMPARE BYTES IN ROM TO BYTES IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


CMPCX1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*COMPARE BYTES IN ROM TO BYTES IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


CMPCC1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*COMPARE BYTES IN ROM TO BYTES IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


CMPXX1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*COMPARE BYTES IN XDATA TO BYTES IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


FNDBX1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*FIND target BYTE IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


FNDBC1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*FIND target BYTE IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


FNDBD1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*FIND target BYTE IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


SKPBX1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*SKIP target BYTE IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


SKPBC1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*SKIP target BYTE IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


SKPBD1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*SKIP target BYTE IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


SETBX1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*SET BYTE IN XDATA TO target VALUE */
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


SETBD1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*SET BYTE IN DATA TO target VALUE */
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


FNDWX1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*FIND target WORD IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


FNDWC1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*FIND target WORD IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


FNDWD1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*FIND target WORD IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;


SKPWX1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*SKIP target WORD IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


SKPWC1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*SKIP target WORD IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


SKPWD1: PROCEDURE (from,target,count) WORD EXTERNAL USING 1;
 /*SKIP target WORD IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;


SETWX1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*SET WORD IN XDATA TO target VALUE */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


SETWD1: PROCEDURE (from,target,count)  EXTERNAL USING 1;
 /*SET WORD IN DATA TO target VALUE */
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;



MOVDD2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*MOVE DATA BYTES TO DATA */
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


RMVDD2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*REVERSE MOVE DATA BYTES TO DATA */
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


MOVXD2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*MOVE XDATA BYTES TO DATA */
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


MOVCD2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*MOVE ROM BYTES TO DATA */
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


MOVDX2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*MOVE DATA BYTES TO XDATA */
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;


MOVCX2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*MOVE ROM BYTES TO XDATA */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


MOVXX2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*MOVE XDATA BYTES TO XDATA */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


RMVXX2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*REVERSE MOVE XDATA BYTES TO XDATA */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


CMPDD2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*COMPARE BYTES IN DATA TO BYTES IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


CMPXD2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*COMPARE BYTES IN XDATA TO BYTES IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


CMPCD2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*COMPARE BYTES IN ROM TO BYTES IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


CMPCX2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*COMPARE BYTES IN ROM TO BYTES IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


CMPCC2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*COMPARE BYTES IN ROM TO BYTES IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


CMPXX2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*COMPARE BYTES IN XDATA TO BYTES IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


FNDBX2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*FIND target BYTE IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


FNDBC2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*FIND target BYTE IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


FNDBD2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*FIND target BYTE IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


SKPBX2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*SKIP target BYTE IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


SKPBC2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*SKIP target BYTE IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


SKPBD2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*SKIP target BYTE IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


SETBX2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*SET BYTE IN XDATA TO target VALUE */
 DECLARE from WORD;
 DECLARE target BYTE;
 DECLARE count WORD;
 END;


SETBD2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*SET BYTE IN DATA TO target VALUE */
 DECLARE from BYTE;
 DECLARE target BYTE;
 DECLARE count BYTE;
 END;


FNDWX2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*FIND target WORD IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


FNDWC2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*FIND target WORD IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


FNDWD2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*FIND target WORD IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;


SKPWX2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*SKIP target WORD IN XDATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


SKPWC2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*SKIP target WORD IN ROM, RETURN INDEX OR 0FFFFH*/
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


SKPWD2: PROCEDURE (from,target,count) WORD EXTERNAL USING 2;
 /*SKIP target WORD IN DATA, RETURN INDEX OR 0FFFFH*/
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;


SETWX2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*SET WORD IN XDATA TO target VALUE */
 DECLARE from WORD;
 DECLARE target WORD;
 DECLARE count WORD;
 END;


SETWD2: PROCEDURE (from,target,count)  EXTERNAL USING 2;
 /*SET WORD IN DATA TO target VALUE */
 DECLARE from BYTE;
 DECLARE target WORD;
 DECLARE count BYTE;
 END;
